# Farah, Famous Envoy (Farah, berühmte Gesandte)

**Entity Type:** Specialist

## Properties
| Field | Value |
|-------|-------|
| Rarity | Epic |
| Category | Seafaring |
| Slot Type | Captain |
| Scope | Affects ship |

## Effects
| Effect Type | Target | Value | Scope |
|------------|--------|-------|-------|
| Discovery radius | Ship | +100% | Ship |
| Goods transfer speed | Ship | +60% | Ship |
| Travel speed between provinces | Ship | +30% | Ship |

## Improves Buildings
- Ships

## Source
Latium traders
